Base URL: https://demo-api.incodesmile.com — Incode demo environment
Fetches data associated with identity, which was gathered in onboarding. Works with Admin Token.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string | yes | |
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
identityId |
string | ||
originalSessionId |
string | ||
ocrData |
object | ||
ocrData.name |
string | ||
ocrData.phone |
string | ||
ocrData.email |
string | ||
ocrData.dateOfBirth |
string | ||
ocrData.personalIdNumber |
string | ||
ocrData.address |
string | ||
ocrData.nationalNumber |
string | ||
ocrData.countryCode |
string | ||
ocrData.documentType |
string | Enum: Unknown, Passport, Visa, DriversLicense, IdentificationCard, Permit, Currency, ResidenceDocument, TravelDocument, BirthCertificate, VehicleRegistration, Other, WeaponLicense, TribalIdentification, VoterIdentification, Military, TaxIdentification, FederalID, MedicalCard |
|
ocrData.docExpiryDate |
integer (int32) |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |